 /*
    File:       ShibMysql.h

    Contains:

*/

#ifndef _QTSSSHIBMYSQL_H_
#define _QTSSSHIBMYSQL_H_
#include "mysql.h"

class ShibMysql
{

public:
    
    //ShibMysql(char* directory, char* sessionkey, char* ip, char* darwin);
    ShibMysql(char*, char*, char*, char*, char*, char*);
    ~ShibMysql();

    Bool16 set(char*, char*, char*, char*);

    Bool16  check();
    Bool16  checkDarwinSession();
    Bool16  clearDarwinSessions();
    int	    rows();

private:
	MYSQL db;
	char query[512];
	char* directory;
	char* sessionkey;
	char* ip; 
	char* darwin;
};

#endif //_QTSSSHIBMYSQL_H_
